 <?
/* ------------------------------------------------------------------- */
/*

*************************************************
*			UWAGA! SKRYPT NIE JEST DARMOWY.			*
*		DALSZE ROZPOWSZECHNIANIE BEZ ZGODY 			*
*			FIRMY ArtGlobal JEST ZABRONIONE.			*
*************************************************

*************************************************
*	WWW.ArtGlobal.PL		PRODUCENT OPROGRAMOWANIA	*
*	NAZWA SKRYPTU:		NIERUCHOMOSCI 6.0			*
*	WERSJA FINALNA:	04.10.2010						*
*	KONTAKT:				kontakt@artglobal.pl			*
*************************************************

Copyright (c) 2010 ArtGlobal. Wszelkie prawa zastrzeżone.

*/
/* ------------------------------------------------------------------- */

 $tytul=addslashes(strip_tags(ucfirst($_GET['tytul'])));
 $typ=addslashes(strip_tags(ucfirst($_GET['typ'])));
 $ulica=addslashes(strip_tags($_GET['ulica'])) ;
 $woj=addslashes(strip_tags($_GET['woj']));
 $miasto=addslashes(strip_tags($_GET['miasto']));
 
require_once('./inc/db.inc.php');
require_once('class/mysql.class.php');
$mysql = new mysql;
$mysql -> host = $cfg['dbHost'];
$mysql -> user = $cfg['dbUser'];
$mysql -> name = $cfg['dbName'];
$mysql -> pass = $cfg['dbPass'];
$mysql -> connect();

 
 $sql = "SELECT * FROM config ORDER by cfgId ASC";
$q = $mysql -> q( $sql );
$c = array();
while ( $db = mysql_fetch_array( $q ) )
{
        $c[] = $db;
}
 $cfg['googleApi'] = $c[18];
 $klucz= $cfg['googleApi'];
 ?>
<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Strict//EN'
    'http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd'>
<html xmlns='http://www.w3.org/1999/xhtml'>
    <head>
        <meta http-equiv="Content-type" content="text/html; charset=iso-8859-2" />
        <title><? echo "$tytul,&nbsp;$miasto,&nbsp;$ulica";?></title>
				<script src="http://maps.google.com/maps?file=api&v=2&key=<?$klucz?>" type='text/javascript'></script>
    </head>
    <body onload='mapaStart()' onunload='GUnload()'>

	<script type='text/javascript'>
	<!--
		// zmienne globalne
		var geo;
		var mapa;
			
		function mapaStart()
		{
			if(GBrowserIsCompatible())
			{
				mapa = new GMap2(document.getElementById("mapka"),{mapTypes: [G_NORMAL_MAP,G_SATELLITE_MAP,G_HYBRID_MAP]});
			
				
				// kontrolki mapy
				mapa.addControl(new GLargeMapControl());
				var typyMapy = mapa.getMapTypes();
				typyMapy[0].getName= function() { return "Maps";}
				typyMapy[1].getName = function() { return "Satellite";}
				typyMapy[2].getName = function() { return "Hybrid";}
				mapa.addControl(new GMapTypeControl());
			//	mapa.addControl(new GOverviewMapControl());
			mapa.addControl(new GScaleControl());
				
				// nowy obiekt do geokodowania
			    geo = new GClientGeocoder();

								var adres='<? echo $woj;?>, <? echo $miasto;?>, <? echo $ulica;?>';
				geo.getLatLng(adres,function(punkt)
				{
					if (!punkt)
					{
						// jeśli punkt nie istnieje, to adres nie został znaleziony
						alert(adres + " nie został znaleziony!");
					}
					else
					{
						// centrujemy na znalezionym punkcie
						mapa.setCenter(punkt, 15);
						
						// dodajemy w tym miejscu marker
						var ikona = new GIcon();
						ikona.image='http://maps.google.com/mapfiles/kml/pal3/icon61.png';
						ikona.shadow='';
						ikona.iconSize=new GSize(32,32);
						ikona.iconAnchor=new GPoint(16,16);
						ikona.infoWindowAnchor=new GPoint(16,16);
						
						var marker = new GMarker(punkt,{icon: ikona, title: adres});
						mapa.addOverlay(marker);
						
						// i otwieramy dymek z adresem
						marker.openInfoWindowHtml('<strong><? echo "$woj <br /> $typ "?></strong><br />'+adres);
					}
				});
			}
		}
	-->
	</script>
	<div id='mapka' style='width: 500px; height: 400px; border: 1px solid black; background: gray;'>
	<!-- tu będzie mapa -->

	</div>
    </body>
</html>


